<%@ page import="org.wso2.carbon.register.ui.utils.TenantConfigUtil" %>
<!--
~ Copyright (c) 2005-2010, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
~
~ WSO2 Inc. licenses this file to you under the Apache License,
~ Version 2.0 (the "License"); you may not use this file except
~ in compliance with the License.
~ You may obtain a copy of the License at
~
~ http://www.apache.org/licenses/LICENSE-2.0
~
~ Unless required by applicable law or agreed to in writing,
~ software distributed under the License is distributed on an
~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
~ KIND, either express or implied. See the License for the
~ specific language governing permissions and limitations
~ under the License.
-->

<% String username = "";
    if (session.getAttribute("submit-username") != null) {
        username = (String) session.getAttribute("submit-username");
        session.setAttribute("submit-username", null);
    }
    if (session.getAttribute("submit-domain") != null) {
        session.setAttribute("submit-domain", null);
    }
    if (session.getAttribute("submit-admin") != null) {
        session.setAttribute("submit-admin", null);
    }
%>

<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>

<carbon:jsi18n
        resourceBundle="org.wso2.carbon.register.ui.i18n.JSResources"
        request="<%=request%>"/>

<fmt:bundle basename="org.wso2.carbon.register.ui.i18n.Resources">


    <script type="text/javascript" src="js/forgot_password.js"></script>
    <link href="css/forgot-password.css" rel="stylesheet" type="text/css" media="all"/>

    <%
        String tip = "Enter the username in the format: username@yourdomain or yourdomain.\n Example: foo@abc.com or abc.com";
    %>
    <div id="middle">

        <h2>
            Forgot the password?
        </h2>

        <p>
            Please enter your username or domain name below to reset your account credentials.
        </p>
    </div>


    <div id="workArea">
        <p>
            You will get an email notification soon with the link to reset your password.
        </p>

        You can still <a href="/carbon/admin/login.jsp"> login </a>
        using your old credentials till you reset the password.
    </div>

    <form id="resetPasswordForm" action="reset_password_processor.jsp" method="post">

        <table>
            <tbody>
            <tr>
            <tr>
                <td><fmt:message key="username"/><span class="required">*</span></td>
                <td colspan="2"><input type="text" tabindex="1" name="username" id="username"
                                       style="width:400px" value="<%=username%>"/></td>
            </tr>
            <tr>
                <td></td>
                <td><%=tip%>
                </td>
            </tr>
            <tr>
                <td><input type="text" name="domain" id="domain" style="display:none;"/></td>
                <td><input type="text" name="admin" id="admin" style="display:none;"/></td>
            </tr>
            <tr>
                <td></td>
                <td><input type="button" tabindex="2" value="Reset Password"
                           onclick="getDomainFromUserName(); getTenantAwareUserName(); resetPassword();">
                </td>
            </tr>

            </tbody>
        </table>

    </form>
</fmt:bundle>


